---
title: Retrieve Investment Events
slug: retrieve-investment-events
icon: {"apiMethod":"GET"}
createdAt: 2025-07-28T21:11:53.133Z
---

<font color="#22C55E">`GET`</font> `https://equidefi.io/api/v1/investments/:id/events`

Retrieves all of the events for an investment

## Query Parameters

***

`create_date[gte]` string (ISO 8601) <font color="#6b7280">optional</font>

Return events created on or after this date.

`create_date[lte]` string (ISO 8601) <font color="#6b7280">optional</font>

Return events created on or before this date.

Example:

```curl
curl -XGET https://equidefi.io/api/v1/investments/:id/events?create_date[gte]=2025-08-01T00:00:00Z&create_date[lte]=2025-08-31T23:59:59Z
```



## Response

The response when retrieving an investment's events

```json
{
  "data": {
    "type": "investments",
    "id": "25e4350f-e8ab-4a8c-a020-3c427e5f1274",
    "attributes": {
      "step": "SIGNERS",
      "status": "PENDING",
      "create_date": "2025-08-19T22:27:1.504Z"
    },
    "relationships": {
      "events": {
        "data": [
          { "type": "events", "id": "d3f8b1c2-4e5a-4c9b-8f0e-6c7d8e9f0a1b" },
          { "type": "events", "id": "e3f8b1c2-4e5a-4c9b-8f0e-6c7d8e9f0a1c" },
          { "type": "events", "id": "f1e2d3c4-b5a6-7890-c1d2-e3f4a5b6c7d8" },
          { "type": "events", "id": "960eb062-fa9d-4976-9b4c-f7ee6471c24b" },
          { "type": "events", "id": "b3c4f5e6-7a8b-9c0d-e1f2-3a4b5c6d7e8f" },
          { "type": "events", "id": "25e4350f-e8ab-4a8c-a020-3c427e5f1274" }
      ]
      }
    }
  },
  "included": [
    {
      "type": "events",
      "id": "d3f8b1c2-4e5a-4c9b-8f0e-6c7d8e9f0a1b",
      "event": "REGISTRATION",
      "action": "COMPLETED",
      "description": null,
      "create_date": "2025-08-20T19:56:53.146Z"
    },
    {
      "type": "events",
      "id": "e3f8b1c2-4e5a-4c9b-8f0e-6c7d8e9f0a1c",
      "event": "PROFILE",
      "action": "SUBMITTED",
      "description": null,
      "create_date": "2025-08-20T19:56:53.146Z"
    },
    {
      "type": "events",
      "id": "f1e2d3c4-b5a6-7890-c1d2-e3f4a5b6c7d8",
      "event": "SUBSCRIPTION",
      "action": "SUBMITTED",
      "description": null,
      "create_date": "2025-08-20T19:56:53.146Z"
    },
    {
      "type": "events",
      "id": "960eb062-fa9d-4976-9b4c-f7ee6471c24b",
      "event": "PAYMENT",
      "action": "SUBMITTED",
      "description": null,
      "create_date": "2025-08-20T19:56:53.146Z"
    },
    {
      "type": "events",
      "id": "b3c4f5e6-7a8b-9c0d-e1f2-3a4b5c6d7e8f",
      "event": "PAYMENT",
      "action": "APPROVED",
      "description": null,
      "create_date": "2025-08-20T19:56:53.146Z"
    },
    {
      "type": "events",
      "id": "25e4350f-e8ab-4a8c-a020-3c427e5f1274",
      "event": "ADDRESS",
      "action": "SUBMITTED",
      "description": null,
      "create_date": "2025-08-20T19:56:53.146Z"
    }
  ]
}

```

